package ru.ulstu.admin.service;

import org.springframework.stereotype.Service;
import ru.ulstu.admin.model.IndicatorForm;
import ru.ulstu.indicator.model.Indicator;
import ru.ulstu.indicator.service.IndicatorService;

import java.util.List;

@Service
public class AdminIndicatorService {
    private final IndicatorService indicatorService;

    public AdminIndicatorService(IndicatorService indicatorService) {
        this.indicatorService = indicatorService;
    }

    public List<Indicator> getIndicators() {
        return indicatorService.getIndicatorList();
    }

    public void saveIndicator(IndicatorForm indicatorForm) {
        Indicator indicator = indicatorForm.getId() == null
                ? new Indicator()
                : indicatorService.getIndicatorById(indicatorForm.getId());
        indicator.setName(indicatorForm.getName());
        indicator.setMax(indicatorForm.getMax());
        indicator.setProofDocuments(indicatorForm.getProofDocuments());
        indicator.setCourses(indicatorForm.getCourses());
        indicatorService.save(indicator);
    }

    public Indicator getIndicatorById(Integer id) {
        return indicatorService.getIndicatorById(id);
    }

    public void deleteIndicator(IndicatorForm indicatorForm) {
        indicatorService.deleteIndicator(indicatorForm);
    }
}
