package ru.ulstu.news.model;

import jakarta.persistence.Entity;
import jakarta.persistence.Lob;
import jakarta.persistence.OneToOne;
import jakarta.validation.constraints.NotEmpty;
import org.springframework.format.annotation.DateTimeFormat;
import ru.ulstu.meeting.Meeting;
import ru.ulstu.model.BaseEntity;

import java.util.Date;

@Entity
public class News extends BaseEntity {
    private final static int MAX_NEWS_TEXT_PREVIEW_LENGTH = 800;

    @NotEmpty(message = "Заголовок не может быть пустым")
    private String title;

    @DateTimeFormat(pattern = "yyyy-MM-dd'T'HH:mm")
    private Date date;

    @Lob
    @NotEmpty(message = "Текст новости не может быть пустым")
    private String text;

    @OneToOne(mappedBy = "news")
    private Meeting meeting;

    public News() {
    }

    public News(String title, Date date, String text) {
        this.title = title;
        this.date = date;
        this.text = text;
    }

    public String getTitle() {
        return title;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }

    public Meeting getMeeting() {
        return meeting;
    }

    public void setMeeting(Meeting meeting) {
        this.meeting = meeting;
    }
}
